Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 264686 - <dev-libs/glib-2.19 headers cause strict-aliasing errors in dependencies with sys-devel/gcc-4.4
Summary: <dev-libs/glib-2.19 headers cause strict-aliasing errors in dependencies with...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://sunsite.mff.cuni.cz/rawhide200...
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-04-02 20:01 UTC by Daniel J.
Modified: 2009-05-04 22:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Backport of upstream SVN rev 7875 (glib-2.18.4-aliasing.patch,19.46 KB, patch)
2009-04-02 20:01 UTC, Daniel J.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel J. 2009-04-02 20:01:04 UTC
When attempting to build a number of apps (listed in the URL above), GCC 4.4 fails due to strict-aliasing errors. A patch against GLib SVN trunk was created by Jakub Jelinek and committed upstream with revision 7875.  I am attaching a backport of the patch against sys-devel/glib-2.18.4.
Comment 1 Daniel J. 2009-04-02 20:01:34 UTC
Created attachment 187133 [details, diff]
Backport of upstream SVN rev 7875
Comment 2 Daniel J. 2009-04-02 20:12:13 UTC
The first upstream glib release containing this fix is 2.19.8.
Comment 3 Gilles Dartiguelongue gentoo-dev 2009-04-02 20:25:48 UTC
so you're saying strict-aliasing warnings are now errors in gcc-4.4 ?
Comment 4 Daniel J. 2009-04-02 20:57:58 UTC
From what I can tell, -fstrict-aliasing is enabled by default in GCC 4.4.
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-04-02 21:04:20 UTC
please don't touch the priority fields, gcc 4.4 support isn't top priority for us for now unless somebody from the team dedicates to this.
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2009-04-15 01:04:19 UTC
strict-aliasing has always been enabled at -O2, it's just that every release the gcc devs make more and more optimizations that assume strict-aliasing rules aren't violated.  in 4.4, a strict-aliasing warning is a good sign that something's broken.

(added to gcc-porting overlay)
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-05-04 22:15:43 UTC
2.20.1 is now in tree but I also added 2.18.4-r2. Thanks for reporting and providing a patch.